return {
  {
    'folke/which-key.nvim',
    event = 'VimEnter',
    opts = {
      preset = 'helix',
      delay = 1000,
    },
    config = function(_, opts)
      require('which-key').setup(opts)

      -- Document existing key chains
      require('which-key').add {
        { "<leader>c", group = "[C]ode/Color" },
        { "<leader>d", group = "[D]ocument" },
        { "<leader>g", group = "[G]it" },
        { "<leader>r", group = "[R]ename" },
        { "<leader>s", group = "[S]earch" },
        { "<leader>w", group = "[W]orkspace" },
      }
    end,
  },
}
